dump {base} | R Documentation

## Text Representations of R Objects

### Description

This function takes a vector of names of R objects and produces text representations of the objects in the file `fileout`. This file, can be `source`d into another R (or S) session.

### Usage

    dump(list, fileout="dumpdata")

### Details

At present the implementation of `dump` is very incomplete and it really only works for functions and simple vectors.

The function `save` is designed to be used for transporting R data between machines.

### See Also

`dput`, `dget`,`write`.

### Examples

    x <- 1; y <- 1:10
    dump(ls(patt='^[xyz]'), "xyz.Rdmped")
    unlink("xyz.Rdmped")

[Package Contents]